-- 2024-07-25
CREATE TABLE `basic_file_type`  (
    `id` bigint(0) NOT NULL,
    `school_id` bigint(0) NOT NULL COMMENT '学校ID',
    `name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '文件类型名称',
    `type` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类别：系统，自定义',
    `create_id` bigint(0) NULL DEFAULT NULL COMMENT '创建人',
    `create_time` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
    `update_id` bigint(0) NULL DEFAULT NULL COMMENT '更新人',
    `update_time` bigint(0) NULL DEFAULT NULL COMMENT '更新时间',
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE INDEX `UNIQUE_SCHOOL_ID_NAME`(`school_id`, `name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '文件类型' ROW_FORMAT = Dynamic;

ALTER TABLE `exam_student`
    ADD COLUMN file_path varchar(255) NULL COMMENT '生成pdf的文件路径' AFTER `update_time`;